Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.framework.interfaces
Interface HAPartition.HAMembershipExtendedListener

All Superinterfaces:
  HAPartition.HAMembershipListener

All Known Subinterfaces:
  HAPartition.AsynchHAMembershipExtendedListener

All Known Implementing Classes:
  DistributedReplicantManagerImpl

Enclosing interface:
  HAPartition

public static interface HAPartition.HAMembershipExtendedListener
extends HAPartition.HAMembershipListener

Method Summary
`void` | `membershipChangedDuringMerge(Vector deadMembers, Vector newMembers, Vector allMembers, Vector originatingGroups)` Extends HAMembershipListener to receive a specific callback when a network-partition merge occurs.

Methods inherited from interface org.jboss.ha.framework.interfaces.HAPartition.HAMembershipListener
`membershipChanged`

Method Detail

### membershipChangedDuringMerge

    public void membershipChangedDuringMerge(Vector deadMembers,
                                             Vector newMembers,
                                             Vector allMembers,
                                             Vector originatingGroups)

  Extends HAMembershipListener to receive a specific callback when a network-partition merge occurs. The same restriction on interaction with the JG protocol stack applies.

  Parameters:
    `deadMembers` - A list of nodes that have died since the previous view
    `newMembers` - A list of nodes that have joined the partition since the previous view
    `allMembers` - A list of nodes that built the current view
    `originatingGroups` - A list of list of nodes that were previously partionned and that are now merged

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.